#!/bin/bash 

SCRIPT_DIRNAME=`dirname $0`
QCG_COMP_HOME=`cd $SCRIPT_DIRNAME && pwd`
QCG_COMP_SERVICE_URL="http://localhost:19000/"
DEBUG=false
pwd
CP="$QCG_COMP_HOME/QCGComputingSDK-2.2.0.jar"

for jar in $QCG_COMP_HOME/lib/*.jar; do
	CP="$CP:$jar"
done


java -Dqcg.comp.service.url=$QCG_COMP_SERVICE_URL -Dqcg.debug=$DEBUG -cp $CP com.qcg.comp.client.QCGComputingClient $*
