package com.qcg.comp.sdk.exceptions;

import com.qcg.comp.sdk.exceptions.QCGCompException;

public class UnknownActivityIdentifierException extends QCGCompException {
	protected String customMessage;
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public UnknownActivityIdentifierException(Throwable ex) {
		super(ex.getMessage(), ex);
		
		if (ex instanceof com.qcg.comp.stubs.bes.factory.UnknownActivityIdentifierFault) {
			com.qcg.comp.stubs.bes.factory.UnknownActivityIdentifierFault f = (com.qcg.comp.stubs.bes.factory.UnknownActivityIdentifierFault)ex;
			customMessage = f.getFaultInfo().getMessage();
			infoMessage = customMessage;
		} else {
			throw new AssertionError(ex);
		}
	}
	
	public String getCustomMessage(){
		return customMessage;
	}
}
