/* $Id: namespaces.h 278 2010-08-19 10:57:02Z smaug $ */

/*
 * Copyright 2006-2009 QCG Project Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SMC_NAMESPACES_H
#define __SMC_NAMESPACES_H

#define SMC_NAMESPACE_BES_FACTORY               "http://schemas.ggf.org/bes/2006/08/bes-factory"
#define SMC_NAMESPACE_BES_MANAGEMENT            "http://schemas.ggf.org/bes/2006/08/bes-management"
#define SMC_NAMESPACE_JSDL                      "http://schemas.ggf.org/jsdl/2005/11/jsdl"
#define SMC_NAMESPACE_JSDL_HPCPA                "http://schemas.ggf.org/jsdl/2006/07/jsdl-hpcpa"
#define SMC_NAMESPACE_HPCP_BP                   "http://schemas.ogf.org/hpcp/2007/01/bp"
#define SMC_NAMESPACE_HPCP_BP_BASIC_FILTER      "http://schemas.ogf.org/hpcp/2007/01/bp/BasicFilter"
#define SMC_NAMESPACE_HPCP_FS                   "http://schemas.ogf.org/hpcp/2007/01/fs"
#define SMC_NAMESPACE_HPCP_FS_PROTO             "http://www.ogf.org/hpc-fsp/2008/01/protocol"
#define SMC_NAMESPACE_HPCP_FS_TOKEN             "http://www.ogf.org/hpc-fsp/2008/01/token"
#define SMC_NAMESPACE_NAMING_PROFILE            "http://schemas.ggf.org/bes/2006/08/bes/naming/BasicWSAddressing"

#define SMC_NAMESPACE_SERVICE                   "http://schemas.qoscosgrid.org/comp/2011/04"
#define SMC_NAMESPACE_FACTORY                   "http://schemas.qoscosgrid.org/comp/2011/04/factory"
#define SMC_NAMESPACE_MONITORING                "http://schemas.qoscosgrid.org/comp/2011/04/monitoring"
#define SMC_NAMESPACE_ARDL                      "http://schemas.qoscosgrid.org/comp/2011/04/ardl"
#define SMC_NAMESPACE_ARES                      "http://schemas.qoscosgrid.org/comp/2011/04/ares"
#define SMC_NAMESPACE_STAGING                   "http://schemas.qoscosgrid.org/comp/2011/04/staging"
#define SMC_NAMESPACE_RSYNC                     "http://schemas.qoscosgrid.org/comp/2011/04/rsync"
#define SMC_NAMESPACE_SOCKS						"http://schemas.qoscosgrid.org/comp/2011/04/socks"

#define SMC_NAMESPACE_CONFIG                    "http://schemas.qoscosgrid.org/comp/2011/04/config"

/*DRMS identifiers */

#define SMC_NAMESPACE_DRMS_SGE                  "http://schemas.qoscosgrid.org/comp/2011/04/drms/SunGridEngine"
#define SMC_NAMESPACE_DRMS_LSF                  "http://schemas.qoscosgrid.org/comp/2011/04/drms/LSF"
#define SMC_NAMESPACE_DRMS_TORQUE               "http://schemas.qoscosgrid.org/comp/2011/04/drms/Torque"
#define SMC_NAMESPACE_DRMS_PBSPRO               "http://schemas.qoscosgrid.org/comp/2011/04/drms/PBSPro"
#define SMC_NAMESPACE_DRMS_CONDOR               "http://schemas.qoscosgrid.org/comp/2011/04/drms/Condor"
#define SMC_NAMESPACE_DRMS_XGRID                "http://schemas.qoscosgrid.org/comp/2011/04/drms/XGrid"
#define SMC_NAMESPACE_DRMS_UNKNOWN              "http://schemas.qoscosgrid.org/comp/2011/04/drms/Unknown"



#endif /* __SMC_NAMESPACES_H */
