#ifndef QCG_COMP_RSYNCH
#define QCG_COMP_RSYNCH

#include <qcg-core/transport.h>

struct Files;

void
rsync_sync(sm_client_transport_t transport, const char *service, const char *username, const char *local_dir, const char *remote_dir, const char *filter);
void
rsync_local_to_remote(sm_client_transport_t transport, const char *service, const char *username, const char *local_basedir, const char *remote_basedir, const char *filter);
void
rsync_remote_to_local(sm_client_transport_t transport, const char *service, const char *username, const char *local_basedir, const char *remote_basedir, const char *filter);

#endif //QCG_COMP_RSYNCH
