#ifndef TYPESH
#define TYPESH

#include <stdint.h>
#include <time.h>
#include <qcg-core/transport.h>
#include <qcg-core/modules/ecm_gsoap/ecm_gsoap.h>

#ifdef LOCALSTUBS
#include <stub/rsyncstructsStub.h>
#endif

typedef int Length;

typedef struct qcg_comp_rsync__BlockSignatureType BlockSignature;
typedef struct qcg_comp_rsync__SignatureType Signature;
typedef struct qcg_comp_rsync__FileType File;
typedef struct qcg_comp_rsync__FilesType Files;

typedef struct
{
	size_t length;
	char* data;
}Delta;

#ifndef SERVER
typedef sm_client_transport_t rsync_transport_t;
#define RSYNC_GET_SOAP(transport) (((ecm_gsoap_client_transport_t)transport)->soap)
#else
typedef sm_transport_t rsync_transport_t;
#define RSYNC_GET_SOAP(transport) (((ecm_gsoap_transport_t)transport)->soap)
#endif

#endif //TYPESH
