package com.qcg.comp.tests;

import com.qcg.comp.stubs.bes.factory.BasicResourceAttributesDocumentType;
import com.qcg.comp.stubs.bes.factory.FactoryResourceAttributesDocumentType;

/**
 * Unit test for simple App.
 */
public class GetFactoryAttributesTest 
    extends QCGCompConfig
{
	

	@Override
	protected void setUp() throws Exception {
		super.setUp();
	}

	
	public void testGetFactoryAttr() throws Throwable {
		FactoryResourceAttributesDocumentType fa =  factory.getFactoryAttributesDocument();
		int totalCount = 0;
		
		for (int i = 0; i < fa.getTotalNumberOfContainedResources(); i++) {
			BasicResourceAttributesDocumentType bra = (BasicResourceAttributesDocumentType)fa.getContainedResource().get(i);  
			System.err.println(bra.getResourceName() + ": CPU arch = " + bra.getCPUArchitecture().getCPUArchitectureName() + ",CPU count = " + bra.getCPUCount());
			totalCount += bra.getCPUCount().intValue();
		}
		
		System.err.println("Total CPU count = " + totalCount);
	}
	
}
