package com.qcg.comp.tests;



import java.io.File;
import java.io.FileReader;

import com.qcg.comp.sdk.jsdl.JSDL;
import com.qcg.comp.sdk.jsdl.JSDLDataStaging;


/**
 * Unit test for simple App.
 */
public class StageLargeTest 
    extends QCGCompConfig
{
	protected static final String stagedInFile = "/tmp/100MB.file";
	protected static final String stagedOutFile = "/tmp/100MB.file.out";

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		
	}
	
	public void testLargeAttachmentStaging() throws Throwable {
		
		JSDL jsdl = new JSDL("LargeStaging");
		
		jsdl.getDataStaging().add(new JSDLDataStaging("1000MB.file", stagedInFile, stagedOutFile));
		
		
		System.err.println("Stage in");
		staging.stageInFiles(jsdl);
		System.err.println("Stage out");
		staging.stageOutFiles(jsdl);
		
		assertFileEquals(new File(stagedInFile), new File(stagedOutFile));
		
	}
	
}
