/* $Id: identifiers.h 2 2009-10-05 10:09:52Z mamonski $ */

/*
 * Copyright 2006-2009 QCG Project Team
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __SCM_IDENTIFIERS_H
#define __SCM_IDENTIFIERS_H

#include <qcg-core/transport.h>

#include <common.h>
#include <stub/qcgcompStub.h>

char *smc_generate_id(smc_strdup_function func, void *ctxt);

sm_status_ret_code_t smc_create_activity_epr(sm_transport_t transport, struct wsa5__EndpointReferenceType *ActivityIdentifier, const char *id);
sm_status_ret_code_t smc_create_reservation_epr(sm_transport_t transport, struct wsa5__EndpointReferenceType *ReservationIdentifer, const char *id);

sm_status_ret_code_t smc_parse_activity_epr(struct wsa5__EndpointReferenceType *ActivityIdentifier, const char **id);
sm_status_ret_code_t smc_parse_reservation_epr(struct wsa5__EndpointReferenceType *ReservationIdentifier, const char **id);

#endif /* __SCM_IDENTIFIERS_H */
