/* $Id: SOCKS.h 2 2009-10-05 10:09:52Z mamonski $ */

/*
 *  Copyright 2006-2009 QCG Project Team
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

#ifndef __SMC_SOCKS_H
#define __SMC_SOCKS_H

#include <stdbool.h>

#include <qcg-core/sm.h>
#include <qcg-core/xmalloc.h>
#include <qcg-core/modules/modules.h>

#include <common.h>
#include <stub/qcgcompStub.h>


sm_status_ret_code_t smc_socks_setup(sm_module_t this);
void smc_socks_cleanup(void);


#endif /* __SMC_SOCKS_H */
